--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: attributes
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: children
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: type
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This is a slighly modified version of the XMLUtilityNode from http://merb.devjavu.com/projects/merb/ticket/95 (has.sox@gmail.com) It's mainly just adding vowels, as I ht cd wth n vwls :) This represents the hard part of the work, all I did was change the underlying parser.
constants: []

full_name: REXMLUtilityNode
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_node
- !ruby/object:RI::MethodSummary 
  name: inner_html
- !ruby/object:RI::MethodSummary 
  name: to_hash
- !ruby/object:RI::MethodSummary 
  name: to_html
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: translate_xml_entities
- !ruby/object:RI::MethodSummary 
  name: typecast_value
- !ruby/object:RI::MethodSummary 
  name: undasherize_keys
name: REXMLUtilityNode
superclass: Object
